#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# ArrayCollisionMatrix Class

Defined in: `src/collision/ArrayCollisionMatrix.js:3`

Collision "matrix". It's actually a triangular-shaped array of whether two bodies are touching this step, for reference next step

## Constructor

### `ArrayCollisionMatrix`

()

Defined in `src/collision/ArrayCollisionMatrix.js:3`

- Index
- Methods
- Properties

## Item Index

### Methods

- get
- reset
- set
- setNumObjects

### Properties

- matrix

## Methods

### `get`

(

- `i`
- `j`

)
Number

Defined in `src/collision/ArrayCollisionMatrix.js:18`

Get an element

#### Parameters:

- `i` Number
- `j` Number

#### Returns:

Number:

### `reset`

()

Defined in `src/collision/ArrayCollisionMatrix.js:54`

Sets all elements to zero

### `set`

(

- `i`
- `j`
- `value`

)

Defined in `src/collision/ArrayCollisionMatrix.js:36`

Set an element

#### Parameters:

- `i` Number
- `j` Number
- `value` Number

### `setNumObjects`

(

- `n`

)

Defined in `src/collision/ArrayCollisionMatrix.js:64`

Sets the max number of objects

#### Parameters:

- `n` Number

## Properties

### `matrix`

Array

Defined in `src/collision/ArrayCollisionMatrix.js:10`

The matrix storage